.site-menu__primary,
.site-menu__primary ul {
    width: 100%;
    display: flex;
    list-style: none;
    margin: 0 !important;
}

.site-menu__primary ul.sub-menu li {
    transition: background-color 0.5s ease-in-out;
}

.site-menu__primary li > a {
    display: flex;
    align-items: center;
    color: var(--menu-link-color);
    font-family: var(--main-font);
}

.site-menu__primary > li > a {
    position: relative;
    padding-top: 0.5em;
    padding-bottom: 0.5em;
}

.site-menu__primary li.menu-item-has-children {
    position: relative;
}

.site-menu__primary li.menu-item-has-children > a {
    padding-right: 1.5em;
}

.site-menu__primary > li.menu-item-has-children > a:after {
    right: 0;
    line-height: 0;
    content: "\f347";
    position: absolute;
    font-family: dashicons;
}

.site-menu__primary .sub-menu li.menu-item-has-children > a:after {
    right: 1em;
    line-height: 0;
    content: "\f345";
    position: absolute;
    font-family: dashicons;
}

.site-menu__primary li.menu-item-has-children .sub-menu {
    flex-direction: column;
}


/*RESPONSIVE*/

/*phone*/
@media (max-width: 767px) {

    .site-menu__primary li a {
        font-size: var(--mobile-menu-link-size);
    }

}

/*tablet*/
@media (min-width: 768px) and (max-width: 1023px) {

    .site-menu__primary li a {
        font-size: var(--tablet-menu-link-size);
    }

}

/*mobile and tablet*/
@media (max-width: 1024px) {

    .site-menu__primary,
    .site-menu__primary ul {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .site-menu__primary li,
    .site-menu__primary ul li {
    }

    .site-menu__primary li a {
        display: flex;
        position: relative;
        align-items: center;
        padding: 0.4em 1em !important;
        justify-content: center;
        color: #fff;
        font-size: 24px;
        font-weight: 500;
    }

    .site-menu__primary li.sub__close a {
        justify-content: flex-end;
    }

    .site-menu__primary li.sub__close a:before {
        left: 1em;
        line-height: 0;
        content: "\f341";
        position: absolute;
        font-family: dashicons;
    }

    .site-menu__primary li.menu-item-has-children > a:after {
        right: 1em;
        content: "\f345" !important;
    }

    .site-menu__primary li.menu-item-has-children > ul.sub-menu {
        top: 0;
        right: 0;
        opacity: 0;
        z-index: -1;
        width: 100%;
        height: 100%;
        position: fixed;
        visibility: hidden;
        transform: translateX(90%);
        transition: all 0.35s ease-in-out;
        background-color: var(--submenu-bg-color);
    }

    .site-menu__primary li.menu-item-has-children > ul.sub-menu li a {
        gap: 0.5em;
        align-items: center;
        flex-direction: row;
    }

    .site-menu__primary li.menu-item-has-children > ul.sub-menu.sub-menu-active {
        opacity: 1;
        z-index: 99;
        overflow-x: hidden;
        visibility: visible;
        transform: translateX(0%);
        overflow-y: auto!important;
    }

    .site-menu__primary .sub__close {
        background-color: var(--submenu-bg-hover-color);
    }

}

/*desktop*/
@media (min-width: 1025px) {

    .site-menu__primary {
        gap: 2em;
        flex-direction: row;
        justify-content: flex-start;
    }


    .site-menu__primary li.menu-item-has-children .sub-menu {
        top: 150%;
        opacity: 0;
        display: flex;
        z-index: -100;
        min-width: 240px;
        visibility: hidden;
        position: absolute;
        flex-direction: column;
        justify-content: flex-start;
        align-items: flex-start;
        transition-delay: 0.8s;
        background-color: var(--submenu-bg-color);
        transition: top 0.5s ease-in-out, visibility 0.5s ease-in-out;
        box-shadow: 0 3px 3px 0 rgb(0 0 0 / 8%), 3px 1px 3px -2px rgb(0 0 0 / 8%), -3px 1px 3px -2px rgb(0 0 0 / 8%);
    }

    .site-menu__primary li.menu-item-has-children ul.sub-menu li {
        width: 100%;
        flex-grow: 1;
        flex-shrink: 1;
        flex-basis: 0;
        max-width: 100%;
        position: relative;
        padding: 0.5em 1.5em;
        border-bottom: 1px solid var(--link-border-color);
    }

    .site-menu__primary li.menu-item-has-children:hover > ul.sub-menu {
        top: 100%;
        opacity: 1;
        z-index: 99;
        display: flex;
        height: fit-content;
        visibility: visible;
    }

    .site-menu__primary li.menu-item-has-children ul.sub-menu ul.sub-menu {
        left: 100%;
    }

    .site-menu__primary ul.sub-menu li.menu-item-has-children:hover > ul.sub-menu {
        top: 0;
    }

    .site-menu__primary li a {
        font-size: var(--desktop-menu-link-size);
    }

    .site-menu__primary ul.sub-menu li a {
        font-size: var(--desktop-submenu-link-size);
    }

    .site-menu__primary ul.sub-menu li {
        background-color: var(--submenu-bg-color);
    }

    .site-menu__primary ul.sub-menu li:hover,
    .site-menu__primary ul.sub-menu li.current-menu-item {
        background-color: var(--submenu-bg-hover-color);
    }

    .site-menu__primary ul.sub-menu li.current-menu-item > a {
        font-weight: 600;
        color: var(--accent-color);
    }

    .site-menu__primary > li > a::before {
        width: 0;
        bottom: 0;
        height: 2px;
        content: "";
        margin: auto;
        display: block;
        position: absolute;
        transition: all 0.5s;
        transform-origin: center;
        background: var(--accent-bg-color);
    }

    .site-menu__primary > li.current-menu-item a::before,
    .site-menu__primary > li:not(.menu-item-has-children) a:hover::before {
        width: 100%;
    }

}

/*laptop 1*/
@media (min-width: 1024px) and (max-width: 1439px) {

    .site-menu__primary {
        gap: 1.5em;
    }

    .site-menu__primary li a {
        font-size: var(--sm-laptop-menu-link-size);
    }

    .site-menu__primary ul.sub-menu li a {
        font-size: var(--sm-laptop-submenu-link-size);
    }

}

/*laptop 2*/
@media (min-width: 1440px) and (max-width: 1700px) {

    .site-menu__primary li a {
        font-size: var(--laptop-menu-link-size);
    }

    .site-menu__primary ul.sub-menu li a {
        font-size: var(--laptop-submenu-link-size);
    }


}


/*RESPONSIVE*/
